import 'package:json_annotation/json_annotation.dart';

part 'job_check_switching_question_tab_bus.g.dart';

@JsonSerializable()
class JobCheckSwitchingQuestionTabBus extends Object {
  @JsonKey(name: 'pageIndex')
  int pageIndex;

  JobCheckSwitchingQuestionTabBus(
    this.pageIndex,
  );

  factory JobCheckSwitchingQuestionTabBus.fromJson(Map<String, dynamic> srcJson) =>
      _$JobCheckSwitchingQuestionTabBusFromJson(srcJson);

  Map<String, dynamic> toJson() => _$JobCheckSwitchingQuestionTabBusToJson(this);
}
